# class RSS::ITunesChannelModel::ITunesCategory

### Constants

ITunesCategory

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/itunes.rb, line 111
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.text = args[0]
      end
    end

required_prefix() click to toggle source

    # File lib/rss/itunes.rb, line 91
    def required_prefix
      ITUNES_PREFIX
    end

required_uri() click to toggle source

    # File lib/rss/itunes.rb, line 95
    def required_uri
      ITUNES_URI
    end

### Public Instance Methods

full_name() click to toggle source

    # File lib/rss/itunes.rb, line 120
    def full_name
      tag_name_with_prefix(ITUNES_PREFIX)
    end

### Private Instance Methods

maker_target(categories) click to toggle source

    # File lib/rss/itunes.rb, line 125
    def maker_target(categories)
      if text or !itunes_categories.empty?
        categories.new_category
      else
        nil
      end
    end

setup_maker_attributes(category) click to toggle source

    # File lib/rss/itunes.rb, line 133
    def setup_maker_attributes(category)
      category.text = text if text
    end

setup_maker_elements(category) click to toggle source
Calls superclass method

    # File lib/rss/itunes.rb, line 137
    def setup_maker_elements(category)
      super(category)
      itunes_categories.each do |sub_category|
        sub_category.setup_maker(category)
      end
    end